ValueError: unsupported format character 'T' (0x54) at index 3312 when creating environment from environment file

Here's my command:
conda env create -n test-qiime2_env -f qiime2-2022.11-py38-linux-conda.yml 2> qiime2-2022.11-py38-linux-conda.yml.e 1> qiime2-2022.11-py38-linux-conda.yml.o

Here's my log files:

(base) cat qiime2-2022.11-py38-linux-conda.yml.o
Collecting package metadata (repodata.json): ...working... done
Solving environment: ...working... done
Preparing transaction: ...working... done
Verifying transaction: ...working... done
Executing transaction: ...working... done
Rolling back transaction: ...working... done
(base) cat qiime2-2022.11-py38-linux-conda.yml.e


==> WARNING: A newer version of conda exists. <==
  current version: 22.9.0
  latest version: 22.11.1

Please update conda by running

    $ conda update -n base -c defaults conda


ERROR conda.core.link:_execute(733): An error occurred while installing package 'bioconda::bioconductor-genomeinfodbdata-1.2.9-r42hdfd78af_0'.
class: LinkError
message:
post-link script failed for package bioconda::bioconductor-genomeinfodbdata-1.2.9-r42hdfd78af_0
location of failed script: /expanse/projects/jcl110/anaconda3/envs/test-qiime2_env/bin/.bioconductor-genomeinfodbdata-post-link.sh
==> script messages <==
<None>
==> script output <==
stdout: /expanse/projects/jcl110/anaconda3/envs/test-qiime2_env/share/genomeinfodbdata-1.2.9/"GenomeInfoDbData_1.2.9.tar.gz": OK

stderr: QIIME is caching your current deployment for improved performance. This may take a few moments and should only happen once per deployment.
OpenBLAS blas_thread_init: pthread_create failed for thread 59 of 64: Resource temporarily unavailable
OpenBLAS blas_thread_init: RLIMIT_NPROC 2000 current, 2000 max
OpenBLAS blas_thread_init: pthread_create failed for thread 60 of 64: Resource temporarily unavailable
OpenBLAS blas_thread_init: RLIMIT_NPROC 2000 current, 2000 max
OpenBLAS blas_thread_init: pthread_create failed for thread 61 of 64: Resource temporarily unavailable
OpenBLAS blas_thread_init: RLIMIT_NPROC 2000 current, 2000 max
OpenBLAS blas_thread_init: pthread_create failed for thread 62 of 64: Resource temporarily unavailable
OpenBLAS blas_thread_init: RLIMIT_NPROC 2000 current, 2000 max
OpenBLAS blas_thread_init: pthread_create failed for thread 63 of 64: Resource temporarily unavailable
OpenBLAS blas_thread_init: RLIMIT_NPROC 2000 current, 2000 max

Aborted!
/expanse/projects/jcl110/anaconda3/envs/test-qiime2_env/bin/tab-qiime: line 54: 2654190 Killed                  qiime > /dev/null
++ dirname -- /expanse/projects/jcl110/anaconda3/envs/test-qiime2_env/bin/installBiocDataPackage.sh
+ SCRIPT_DIR=/expanse/projects/jcl110/anaconda3/envs/test-qiime2_env/bin/../share/bioconductor-data-packages
+ json=/expanse/projects/jcl110/anaconda3/envs/test-qiime2_env/bin/../share/bioconductor-data-packages/dataURLs.json
++ yq '."genomeinfodbdata-1.2.9".fn' /expanse/projects/jcl110/anaconda3/envs/test-qiime2_env/bin/../share/bioconductor-data-packages/dataURLs.json
+ FN='"GenomeInfoDbData_1.2.9.tar.gz"'
+ IFS=
+ read -r value
++ yq '."genomeinfodbdata-1.2.9".urls[]' /expanse/projects/jcl110/anaconda3/envs/test-qiime2_env/bin/../share/bioconductor-data-packages/dataURLs.json
+ URLS+=($value)
+ IFS=
+ read -r value
+ URLS+=($value)
+ IFS=
+ read -r value
+ URLS+=($value)
+ IFS=
+ read -r value
++ yq '."genomeinfodbdata-1.2.9".md5' /expanse/projects/jcl110/anaconda3/envs/test-qiime2_env/bin/../share/bioconductor-data-packages/dataURLs.json
+ MD5='"7cc138cfb74665fdfa8d1c244eac4879"'
+ STAGING=/expanse/projects/jcl110/anaconda3/envs/test-qiime2_env/share/genomeinfodbdata-1.2.9
+ mkdir -p /expanse/projects/jcl110/anaconda3/envs/test-qiime2_env/share/genomeinfodbdata-1.2.9
+ TARBALL='/expanse/projects/jcl110/anaconda3/envs/test-qiime2_env/share/genomeinfodbdata-1.2.9/"GenomeInfoDbData_1.2.9.tar.gz"'
+ SUCCESS=0
+ for URL in ${URLS[@]}
++ echo '"https://bioconductor.org/packages/3.16/data/annotation/src/contrib/GenomeInfoDbData_1.2.9.tar.gz"'
++ tr -d '"'
+ URL=https://bioconductor.org/packages/3.16/data/annotation/src/contrib/GenomeInfoDbData_1.2.9.tar.gz
++ echo '"7cc138cfb74665fdfa8d1c244eac4879"'
++ tr -d '"'
+ MD5=7cc138cfb74665fdfa8d1c244eac4879
+ curl -L https://bioconductor.org/packages/3.16/data/annotation/src/contrib/GenomeInfoDbData_1.2.9.tar.gz
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
100 11.1M  100 11.1M    0     0  70.2M      0 --:--:-- --:--:-- --:--:-- 70.3M
+ [[ 0 == 0 ]]
++ uname -s
+ [[ Linux == \L\i\n\u\x ]]
+ md5sum -c
+ SUCCESS=1
+ break
+ [[ 1 != 1 ]]
+ R CMD INSTALL --library=/expanse/projects/jcl110/anaconda3/envs/test-qiime2_env/lib/R/library '/expanse/projects/jcl110/anaconda3/envs/test-qiime2_env/share/genomeinfodbdata-1.2.9/"GenomeInfoDbData_1.2.9.tar.gz"'
/expanse/projects/jcl110/anaconda3/envs/test-qiime2_env/lib/R/bin/INSTALL: line 34: 3563163 Done                    echo 'tools:::.install_packages()'
     3563164 Killed                  | R_DEFAULT_PACKAGES= LC_COLLATE=C "${R_HOME}/bin/R" $myArgs --no-echo --args ${args}

return code: 137

kwargs:
{}

Traceback (most recent call last):
  File "/expanse/projects/jcl110/anaconda3/lib/python3.9/site-packages/conda/exceptions.py", line 1129, in __call__
    return func(*args, **kwargs)
  File "/expanse/projects/jcl110/anaconda3/lib/python3.9/site-packages/conda_env/cli/main.py", line 80, in do_call
    exit_code = getattr(module, func_name)(args, parser)
  File "/expanse/projects/jcl110/anaconda3/lib/python3.9/site-packages/conda/notices/core.py", line 72, in wrapper
    return_value = func(*args, **kwargs)
  File "/expanse/projects/jcl110/anaconda3/lib/python3.9/site-packages/conda_env/cli/main_create.py", line 156, in execute
    result[installer_type] = installer.install(prefix, pkg_specs, args, env)
  File "/expanse/projects/jcl110/anaconda3/lib/python3.9/site-packages/conda_env/installers/conda.py", line 59, in install
    unlink_link_transaction.execute()
  File "/expanse/projects/jcl110/anaconda3/lib/python3.9/site-packages/conda/core/link.py", line 284, in execute
    self._execute(tuple(concat(interleave(self.prefix_action_groups.values()))))
  File "/expanse/projects/jcl110/anaconda3/lib/python3.9/site-packages/conda/core/link.py", line 747, in _execute
    raise CondaMultiError(tuple(concatv(
conda.CondaMultiErrorclass: LinkError
message:
post-link script failed for package bioconda::bioconductor-genomeinfodbdata-1.2.9-r42hdfd78af_0
location of failed script: /expanse/projects/jcl110/anaconda3/envs/test-qiime2_env/bin/.bioconductor-genomeinfodbdata-post-link.sh
==> script messages <==
<None>
==> script output <==
stdout: /expanse/projects/jcl110/anaconda3/envs/test-qiime2_env/share/genomeinfodbdata-1.2.9/"GenomeInfoDbData_1.2.9.tar.gz": OK

stderr: QIIME is caching your current deployment for improved performance. This may take a few moments and should only happen once per deployment.
OpenBLAS blas_thread_init: pthread_create failed for thread 59 of 64: Resource temporarily unavailable
OpenBLAS blas_thread_init: RLIMIT_NPROC 2000 current, 2000 max
OpenBLAS blas_thread_init: pthread_create failed for thread 60 of 64: Resource temporarily unavailable
OpenBLAS blas_thread_init: RLIMIT_NPROC 2000 current, 2000 max
OpenBLAS blas_thread_init: pthread_create failed for thread 61 of 64: Resource temporarily unavailable
OpenBLAS blas_thread_init: RLIMIT_NPROC 2000 current, 2000 max
OpenBLAS blas_thread_init: pthread_create failed for thread 62 of 64: Resource temporarily unavailable
OpenBLAS blas_thread_init: RLIMIT_NPROC 2000 current, 2000 max
OpenBLAS blas_thread_init: pthread_create failed for thread 63 of 64: Resource temporarily unavailable
OpenBLAS blas_thread_init: RLIMIT_NPROC 2000 current, 2000 max

Aborted!
/expanse/projects/jcl110/anaconda3/envs/test-qiime2_env/bin/tab-qiime: line 54: 2654190 Killed                  qiime > /dev/null
++ dirname -- /expanse/projects/jcl110/anaconda3/envs/test-qiime2_env/bin/installBiocDataPackage.sh
+ SCRIPT_DIR=/expanse/projects/jcl110/anaconda3/envs/test-qiime2_env/bin/../share/bioconductor-data-packages
+ json=/expanse/projects/jcl110/anaconda3/envs/test-qiime2_env/bin/../share/bioconductor-data-packages/dataURLs.json
++ yq '."genomeinfodbdata-1.2.9".fn' /expanse/projects/jcl110/anaconda3/envs/test-qiime2_env/bin/../share/bioconductor-data-packages/dataURLs.json
+ FN='"GenomeInfoDbData_1.2.9.tar.gz"'
+ IFS=
+ read -r value
++ yq '."genomeinfodbdata-1.2.9".urls[]' /expanse/projects/jcl110/anaconda3/envs/test-qiime2_env/bin/../share/bioconductor-data-packages/dataURLs.json
+ URLS+=($value)
+ IFS=
+ read -r value
+ URLS+=($value)
+ IFS=
+ read -r value
+ URLS+=($value)
+ IFS=
+ read -r value
++ yq '."genomeinfodbdata-1.2.9".md5' /expanse/projects/jcl110/anaconda3/envs/test-qiime2_env/bin/../share/bioconductor-data-packages/dataURLs.json
+ MD5='"7cc138cfb74665fdfa8d1c244eac4879"'
+ STAGING=/expanse/projects/jcl110/anaconda3/envs/test-qiime2_env/share/genomeinfodbdata-1.2.9
+ mkdir -p /expanse/projects/jcl110/anaconda3/envs/test-qiime2_env/share/genomeinfodbdata-1.2.9
+ TARBALL='/expanse/projects/jcl110/anaconda3/envs/test-qiime2_env/share/genomeinfodbdata-1.2.9/"GenomeInfoDbData_1.2.9.tar.gz"'
+ SUCCESS=0
+ for URL in ${URLS[@]}
++ echo '"https://bioconductor.org/packages/3.16/data/annotation/src/contrib/GenomeInfoDbData_1.2.9.tar.gz"'
++ tr -d '"'
+ URL=https://bioconductor.org/packages/3.16/data/annotation/src/contrib/GenomeInfoDbData_1.2.9.tar.gz
++ echo '"7cc138cfb74665fdfa8d1c244eac4879"'
++ tr -d '"'
+ MD5=7cc138cfb74665fdfa8d1c244eac4879
+ curl -L https://bioconductor.org/packages/3.16/data/annotation/src/contrib/GenomeInfoDbData_1.2.9.tar.gz
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
100 11.1M  100 11.1M    0     0  70.2M      0 --:--:-- --:--:-- --:--:-- 70.3M
+ [[ 0 == 0 ]]
++ uname -s
+ [[ Linux == \L\i\n\u\x ]]
+ md5sum -c
+ SUCCESS=1
+ break
+ [[ 1 != 1 ]]
+ R CMD INSTALL --library=/expanse/projects/jcl110/anaconda3/envs/test-qiime2_env/lib/R/library '/expanse/projects/jcl110/anaconda3/envs/test-qiime2_env/share/genomeinfodbdata-1.2.9/"GenomeInfoDbData_1.2.9.tar.gz"'
/expanse/projects/jcl110/anaconda3/envs/test-qiime2_env/lib/R/bin/INSTALL: line 34: 3563163 Done                    echo 'tools:::.install_packages()'
     3563164 Killed                  | R_DEFAULT_PACKAGES= LC_COLLATE=C "${R_HOME}/bin/R" $myArgs --no-echo --args ${args}

return code: 137

kwargs:
{}

: <exception str() failed>

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/expanse/projects/jcl110/anaconda3/bin/conda-env", line 9, in <module>
    sys.exit(main())
  File "/expanse/projects/jcl110/anaconda3/lib/python3.9/site-packages/conda_env/cli/main.py", line 91, in main
    return conda_exception_handler(do_call, args, parser)
  File "/expanse/projects/jcl110/anaconda3/lib/python3.9/site-packages/conda/exceptions.py", line 1429, in conda_exception_handler
    return_value = exception_handler(func, *args, **kwargs)
  File "/expanse/projects/jcl110/anaconda3/lib/python3.9/site-packages/conda/exceptions.py", line 1132, in __call__
    return self.handle_exception(exc_val, exc_tb)
  File "/expanse/projects/jcl110/anaconda3/lib/python3.9/site-packages/conda/exceptions.py", line 1161, in handle_exception
    return self.handle_application_exception(exc_val, exc_tb)
  File "/expanse/projects/jcl110/anaconda3/lib/python3.9/site-packages/conda/exceptions.py", line 1175, in handle_application_exception
    self._print_conda_exception(exc_val, exc_tb)
  File "/expanse/projects/jcl110/anaconda3/lib/python3.9/site-packages/conda/exceptions.py", line 1179, in _print_conda_exception
    print_conda_exception(exc_val, exc_tb)
  File "/expanse/projects/jcl110/anaconda3/lib/python3.9/site-packages/conda/exceptions.py", line 1106, in print_conda_exception
    stderrlog.error("\n%r\n", exc_val)
  File "/expanse/projects/jcl110/anaconda3/lib/python3.9/logging/__init__.py", line 1475, in error
    self._log(ERROR, msg, args, **kwargs)
  File "/expanse/projects/jcl110/anaconda3/lib/python3.9/logging/__init__.py", line 1589, in _log
    self.handle(record)
  File "/expanse/projects/jcl110/anaconda3/lib/python3.9/logging/__init__.py", line 1598, in handle
    if (not self.disabled) and self.filter(record):
  File "/expanse/projects/jcl110/anaconda3/lib/python3.9/logging/__init__.py", line 806, in filter
    result = f.filter(record)
  File "/expanse/projects/jcl110/anaconda3/lib/python3.9/site-packages/conda/gateways/logging.py", line 50, in filter
    record.msg = record.msg % new_args
  File "/expanse/projects/jcl110/anaconda3/lib/python3.9/site-packages/conda/__init__.py", line 107, in __repr__
    errs.append(e.__repr__())
  File "/expanse/projects/jcl110/anaconda3/lib/python3.9/site-packages/conda/__init__.py", line 64, in __repr__
    return '%s: %s' % (self.__class__.__name__, str(self))
  File "/expanse/projects/jcl110/anaconda3/lib/python3.9/site-packages/conda/__init__.py", line 68, in __str__
    return str(self.message % self._kwargs)
ValueError: unsupported format character 'T' (0x54) at index 3313

Here's my .condarc:

channel_priority: flexible
channels:
  - conda-forge
  - bioconda
  - jolespin
  - defaults
  - qiime2

report_errors: true

Here's my conda version:

(base) conda --version
conda 22.9.0

Any thoughts regarding what could be going on here? Are you able to create an environment using the above command? If so, what's your condarc?

Hello,

Please, take a look at conda docs, there is no flag -f available, you should use --file to build env from YAML.
It is also explicitly mentioned in QIIME2 Install section.

Cheers,
V

2 Likes

I did that with -f in the original command. -f is the shortcut version of the --file flag. I’ve installed this way in the past and it worked perfectly. I’m wondering if it could be something to do with the GenomeInfoDbData dependency.

Hi @jolespin,

I would try running conda clean --all in case there's anything weird going on with your conda env.

2 Likes

Trying it now:

(base) conda clean --all -y
Will remove 9 (124 KB) tarball(s).
Will remove 1 index cache(s).
Will remove 9 (478 KB) package(s).

Running the following command:

conda env create -n test-qiime2_env -f qiime2-2022.11-py38-linux-conda.yml 2> qiime2-2022.11-py38-linux-conda.yml.e 1> qiime2-2022.11-py38-linux-conda.yml.o

I'll update in a few hours when it's done.

Can you confirm that a fresh installation works for you in a test environment? This will help me diagnose whether or not it's my (cleaned) environment or not.

Edit:
Just finished the run and it worked. No clue what happened to my installation but maybe I had some broken packages that didn't finish downloading?

Thanks for your help!

Could you link this forum out to the original GitHub issue? It's locked so I can't do it.

Hi @jolespin,
I am glad that solution worked for you.
However, I don't think its appropriate to link this to the Github issue you opened, we like to direct all user questions or technical support to the forum that way all answers can be found in one place and not spread all over our Github.

3 Likes